# Commands in /vis/rayTracer/

## /vis/rayTracer/

RayTracer commands.

## Sub-directories :

## Commands :

trace [fileName]

  Start the ray tracing.
  Define the name of output JPEG file.

  Available Geant4 state(s) : Idle

  Parameters

  fileName | type s | Omittable : default value = g4RayTracer.jpeg |

column [nPixel]

  Define the number of horizontal pixels.

  Range : nPixel > 0

  Available at all Geant4 states.

  Parameters

  nPixel | type i |  |

row [nPixel]

  Define the number of virtical pixels.

  Range : nPixel > 0

  Available at all Geant4 states.

  Parameters

  nPixel | type i |  |

target [X] [Y] [Z] [Unit]

  Define the center position of the target.

  Available at all Geant4 states.

  Parameters

  X | type d | Omittable : default value = 0 |
  Y | type d | Omittable : default value = 0 |
  Z | type d | Omittable : default value = 0 |
  Unit | type s | Omittable : default value = m | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

eyePosition [X] [Y] [Z] [Unit]

  Define the eye position.
  Eye direction is calsurated from (target - eyePosition).

  Available at all Geant4 states.

  Parameters

  X | type d | Omittable : default value = 0 |
  Y | type d | Omittable : default value = 0 |
  Z | type d | Omittable : default value = 0 |
  Unit | type s | Omittable : default value = m | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

lightDirection [Px] [Py] [Pz]

  Define the direction of illumination light.
  The vector needs not to be a unit vector, but it must not be a zero vector.

  Range : Px != 0 || Py != 0 || Pz != 0

  Available at all Geant4 states.

  Parameters

  Px | type d | Omittable : default value = 0.1 |
  Py | type d | Omittable : default value = 0.2 |
  Pz | type d | Omittable : default value = 0.3 |

span [span] [Unit]

  Define the angle per 100 pixels.

  Range : span>0.

  Available at all Geant4 states.

  Parameters

  span | type d | Omittable : default value = 50 |
  Unit | type s | Omittable : default value = deg | Parameter candidates : rad mrad sr deg radian milliradian steradian degree

headAngle [headAngle] [Unit]

  Define the head direction.

  Range : headAngle>=0. && headAngle<360.

  Available at all Geant4 states.

  Parameters

  headAngle | type d | Omittable : default value = 270 |
  Unit | type s | Omittable : default value = deg | Parameter candidates : rad mrad sr deg radian milliradian steradian degree

attenuation [Length] [Unit]

  Define the attenuation length for transparent material.
  Note that this value is independent to the attenuation length for the optical photon processes.

  Range : Length > 0.

  Available at all Geant4 states.

  Parameters

  Length | type d | Omittable : default value = 1 |
  Unit | type s | Omittable : default value = m | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

distortion [flag]

  Distortion effect of the fish eye lens.

  Available at all Geant4 states.

  Parameters

  flag | type b | Omittable : default value = 0 |

ignoreTransparency [flag]

  Ignore transparency even if the alpha of G4Colour < 1.

  Available at all Geant4 states.

  Parameters

  flag | type b | Omittable : default value = 0 |

backgroundColour [red] [green] [blue]

  Set background colour: red green blue: range 0.->1.
  E.g: /vis/rayTracer/backgroundColour 0 0 0

  Available at all Geant4 states.

  Parameters

  red | type d | Omittable : default value = 1 |
  green | type d | Omittable : default value = 1 |
  blue | type d | Omittable : default value = 1 |